/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.KategoriPemda;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface KategoriPemdaEjbHome {
      public List<KategoriPemda> findAll();

    public KategoriPemda findByID(int id);

    public KategoriPemda createNew();

    public KategoriPemda save(KategoriPemda obj);

    public KategoriPemda findByKode(String kode);

    public KategoriPemda update(KategoriPemda obj);

    public void delete(int id);

}
